com.io7m.jtensors.core.unparameterized.vectors

## Class Vector3D.Builder

- java.lang.Object
- - com.io7m.jtensors.core.unparameterized.vectors.Vector3D.Builder

- Enclosing class:
    Vector3D

      public static final class Vector3D.Builder
      extends Object

  Builds instances of type `Vector3D`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Vector3D` | `build()` Builds a new `Vector3D`.
    `Vector3D.Builder` | `from(Vector3DType instance)` Fill a builder with attribute values from the provided `com.io7m.jtensors.core.unparameterized.vectors.Vector3DType` instance.
    `Vector3D.Builder` | `from(VectorReadable2DType instance)` Fill a builder with attribute values from the provided `com.io7m.jtensors.core.unparameterized.vectors.VectorReadable2DType` instance.
    `Vector3D.Builder` | `from(VectorReadable3DType instance)` Fill a builder with attribute values from the provided `com.io7m.jtensors.core.unparameterized.vectors.VectorReadable3DType` instance.
    `Vector3D.Builder` | `setX(double x)` Initializes the value for the `x` attribute.
    `Vector3D.Builder` | `setY(double y)` Initializes the value for the `y` attribute.
    `Vector3D.Builder` | `setZ(double z)` Initializes the value for the `z` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final Vector3D.Builder from(VectorReadable3DType instance)

      Fill a builder with attribute values from the provided `com.io7m.jtensors.core.unparameterized.vectors.VectorReadable3DType` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### from

          public final Vector3D.Builder from(Vector3DType instance)

      Fill a builder with attribute values from the provided `com.io7m.jtensors.core.unparameterized.vectors.Vector3DType` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### from

          public final Vector3D.Builder from(VectorReadable2DType instance)

      Fill a builder with attribute values from the provided `com.io7m.jtensors.core.unparameterized.vectors.VectorReadable2DType` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setX

          public final Vector3D.Builder setX(double x)

      Initializes the value for the `x` attribute.
      Parameters:
        `x` - The value for x
      Returns:
        `this` builder for use in a chained invocation

    - #### setY

          public final Vector3D.Builder setY(double y)

      Initializes the value for the `y` attribute.
      Parameters:
        `y` - The value for y
      Returns:
        `this` builder for use in a chained invocation

    - #### setZ

          public final Vector3D.Builder setZ(double z)

      Initializes the value for the `z` attribute.
      Parameters:
        `z` - The value for z
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public Vector3D build()

      Builds a new `Vector3D`.
      Returns:
        An immutable instance of Vector3D
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com